## nvidia-graphics-drivers-legacy-173xx 173.14.27

=== debian/changelog ===
nvidia-graphics-drivers-legacy-173xx (173.14.27-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * Synchronize packaging with nvidia-graphics-drivers 195.36.31-4:
    - Remove /emul directories if empty after removing old NVIDIA files in
      the nvidia-glx-legacy-173xx-ia32 postinst.
    - debian/*.postinst(configure): abort early if DPKG_MAINTSCRIPT_PACKAGE is
      not set (usually if called from dpkg-reconfigure, see #560317).
    - nvidia-glx-legacy-173xx{,-ia32}: print warning in postinst if unknown
      /usr/lib{,32}/libGL.so.*.* exist.
    - nvidia-glx-legacy-173xx: depend on xorg-video-abi-6.0 as suggested by
      Xorg maintainers.
    - nvidia-kernel-legacy-173xx-source: lower Recommends:
      nvidia-glx-legacy-173xx to Suggests to avoid pulling
      nvidia-kernel-legacy-173xx-dkms into the system before the user had a
      chance to build a module.  (Closes: #590221)
    - Add new patch 2.6.36-ioctl.patch to fix module build for kernel 2.6.36.
    - Add changelog entries missing due to concurrent development: 1.0.9625-2
      (experimental), 1.0.9625-1 (experimental) and 1.0.7174-4 (unstable).
    - Stop shipping libGL.so symlinks and handling alternatives involving
      them.
    - Stop shipping NVIDIA's copy of the OpenGL headers, depend on
      libgl1-mesa-dev instead.  NVIDIA will stop distributing the headers
      starting with the 260.xx release and recommends to use the official
      ones.
    - Transition from nvidia-glx-legacy-173xx-dev directly to libgl1-mesa-dev.
    - Drop the libgl1-nvidia-legacy-173xx-dev package (and stop shipping
      libXvMCNVIDIA.a).
    - Add myself to Uploaders.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 25 Sep 2010 17:52:37 +0200

nvidia-graphics-drivers-legacy-173xx (173.14.27-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * new upstream release
  * synchronize packaging with nvidia-graphics-drivers 195.36.24-4
    - nvidia-glx now provides xserver-xorg-video-6
    - add Conflicts: nvidia-glx-legacy that was never really taken care of
    - drop Conflicts: ccache, set CCACHE_DISABLE instead
  * synchronize packaging with nvidia-graphics-drivers 195.36.31-3
    - fix the shlibs and symbols files
    - split the nvidia-glx-legacy-173xx{,-ia32} packages, moving the shared
      libraries to libgl1-nvidia-legacy-173xx-glx{,-ia32}
    - rename nvidia-glx-legacy-173xx-dev to libgl1-nvidia-legacy-173xx-dev
    - add Provides/Conflicts for the new virtual packages nvidia-glx{,-ia32},
      libgl1-nvidia-glx{,-ia32}, libgl1-nvidia-dev
    - use alternatives for libGL.so.1, libGL.so, libglx.so and let the
      lib{gl1,glx}-nvidia-alternatives{,-ia32} packages (not built from this
      source package) handle the diversions
    - add Conflicts: fglrx-driver, fglrx-glx, fglrx-glx-ia32 (closes: #588590)
    - add Conflicts: with badly sorting obsolete packages
      linux-{image,headers}-2.6.32-trunk-*
    - nvidia-glx-legacy-173xx: install HTML variant of the README
    - update to Standards-Version: 3.9.1
    - update to debhelper compat level 8
    - drop LEGACY part from virtual package name nvidia-kernel-NVIDIAVERSION
    - lots of small fixes and cleanup
    - extract nv-kernel.ids from nv-kernel.o
  * only list the GPUs supported in this legacy series for the last time in
    the long description, do not list models in the libgl1-nvidia* packages
  * really remove the init script and defaults file (closes: #593781)
  * update nv-kernel.ids

 -- Russ Allbery <rra@debian.org>  Fri, 03 Sep 2010 16:42:42 -0700

nvidia-graphics-drivers-legacy-173xx (173.14.25-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * synchronize packaging with nvidia-graphics-drivers 195.36.24-3
    - new uploaders
    - source format 3.0 (quilt)
    - remove old cruft
    - clean up and simplify packaging
    - clean up dependencies in debian/control (closes: #559454)
    - no longer provide any xserver-xorg-video-* (closes: #521216)
    - overhaul the kernel module build system (closes: #525923, #527736)
    - update conftest.h and add patches for module build (supports up to
      kernel 2.6.32) (closes: #534103, #574473, #574476, #523024)
    - add dkms support (closes: #547535)
    - overhaul debian/rules: use dh(1) and many more changes
    - add functional watch file
    - overhaul copyright, READMEs and other documentation (closes: #573267)
    - overhaul maintainer scripts
    - drop init script and defaults file
    - use a dpkg trigger to create the libGL.so symlink
  * no longer include the cuda libraries/headers in nvidia-glx*
  * update nvidia.ids
  * refresh patches
  * update symbols files
  * adjust version numbers in maintainer scripts
  * new patch AUTOCONF_INCLUDED.patch to fix module build with 2.6.33 and
    newer kernels (closes: #573326, #585396)

 -- Russ Allbery <rra@debian.org>  Wed, 23 Jun 2010 20:44:22 -0700

nvidia-graphics-drivers-legacy-173xx (173.14.25-1) unstable; urgency=low

  *  New upstream.

 -- Randall Donald <rdonald@debian.org>  Wed, 17 Mar 2010 11:43:35 -0700

nvidia-graphics-drivers-legacy-173xx (173.14.22-1) unstable; urgency=low

  * New upstream (closes: #565314, #558658, #565314)

 -- Randall Donald <rdonald@debian.org>  Wed, 20 Jan 2010 17:11:28 -0800

nvidia-graphics-drivers-legacy-173xx (173.14.20-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * do not ship generated files in the source package
  * nvidia-kernel-legacy-173xx-source: recommend module-assistant
  * drop vdpau support, not available in legacy-173xx
  * shlibs cleanup
    - update Build-Depends to include all needed libraries
    - add Conflicts with the new library packages libcuda1 etc. from
      nvidia-graphics-drivers
    - let the shlibs system generate all dependencies
    - debian/nvidia-glx-legacy-173xx-ia32.shlibs: new file
  * switch to dh_lintian
  * update lintian overrides
  * debian/nvidia-glx-legacy-173xx-dev.links.in: removed, contained only
    dangling symlinks

