=== debian/control ===
Source: nvidia-graphics-drivers-legacy-173xx
Section: non-free/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Russ Allbery <rra@debian.org>,
 Andreas Beckmann <debian@abeckmann.de>,
Vcs-Svn: svn://svn.debian.org/svn/pkg-nvidia/packages/nvidia-graphics-drivers-legacy-173xx/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-graphics-drivers-legacy-173xx/
Build-Depends:
 debhelper (>= 8),
 bzip2,
 dkms (>= 2.1.1.1),
 libxext6,
 quilt,
 ia32-libs (>= 20090804) [amd64],
Standards-Version: 3.9.1
Homepage: http://www.nvidia.com

Package: nvidia-glx-legacy-173xx
Architecture: i386 amd64
Pre-Depends: dpkg (>= 1.15.7.2)
Depends:
 libgl1-nvidia${nvidia:Legacy}-glx (= ${binary:Version}),
 libglx-nvidia-alternatives,
 nvidia-kernel-${nvidia:Version}${nvidia:Perfkit},
 xorg-video-abi-6.0,
 ${shlibs:Depends}, ${misc:Depends}
Suggests: nvidia-settings,
 nvidia-kernel${nvidia:Legacy}-dkms (>= ${nvidia:Version})
 | nvidia-kernel${nvidia:Legacy}-source (>= ${nvidia:Version})
Breaks: xserver-xorg-core (<< 2:1.6)
Provides:
 nvidia-glx,
 xserver-xorg-video-6,
Conflicts:
 nvidia-glx,
 nvidia-glx-legacy,
 nvidia-glx-legacy-71xx,
 nvidia-glx-legacy-96xx,
 fglrx-driver,
Description: NVIDIA binary Xorg driver${nvidia:LegacyDesc}
 These binary drivers provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 AGP, PCIe, SLI, TV-out and flat panel displays are also supported.
 .
 Please see the nvidia-kernel${nvidia:Legacy}-dkms or
 nvidia-kernel${nvidia:Legacy}-source packages
 for building the kernel module required by this package.
 This will provide nvidia-kernel-${nvidia:Version}${nvidia:Perfkit}.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/nvidia-glx${nvidia:Legacy}/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-glx-legacy-173xx-ia32
Architecture: amd64
Pre-Depends: libc6-i386 (>= 2.9-18)
Depends:
 libgl1-nvidia${nvidia:Legacy}-glx-ia32 (= ${binary:Version}),
 nvidia-kernel-${nvidia:Version}${nvidia:Perfkit},
 ${shlibs:Depends}, ${misc:Depends}
Suggests: nvidia-settings,
 nvidia-kernel${nvidia:Legacy}-dkms (>= ${nvidia:Version})
 | nvidia-kernel${nvidia:Legacy}-source (>= ${nvidia:Version})
Provides:
 nvidia-glx-ia32,
Conflicts:
 nvidia-glx-ia32,
 nvidia-glx-legacy-ia32,
 nvidia-glx-legacy-71xx-ia32,
 nvidia-glx-legacy-96xx-ia32,
Description: NVIDIA binary driver 32-bit libs${nvidia:LegacyDesc}
 These binary drivers provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 AGP, PCIe, SLI, TV-out and flat panel displays are also supported.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/nvidia-glx${nvidia:Legacy}/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-glx-legacy-173xx-dev
Section: non-free/oldlibs
Architecture: i386 amd64
Depends: libgl1-mesa-dev | libgl-dev, ${misc:Depends}
Conflicts: libgl1-nvidia${nvidia:Legacy}-dev
Replaces: libgl1-nvidia${nvidia:Legacy}-dev
Description: NVIDIA OpenGL development files (transitional package)${nvidia:LegacyDesc}
 This is a transitional dummy package to aid migration to libgl1-mesa-dev.
 NVIDIA recommends to use the official headers for developing OpenGL
 applications.

Package: libgl1-nvidia-legacy-173xx-glx
Section: non-free/libs
Architecture: i386 amd64
Depends:
 libgl1-nvidia-alternatives,
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 nvidia-kernel-${nvidia:Version}${nvidia:Perfkit},
Suggests:
 nvidia-kernel${nvidia:Legacy}-dkms (>= ${nvidia:Version})
 | nvidia-kernel${nvidia:Legacy}-source (>= ${nvidia:Version})
Provides:
 libgl1-nvidia-glx,
Conflicts:
 libgl1-nvidia-glx,
 fglrx-glx,
 nvidia-glx (<< 195.36.31),
 nvidia-glx-legacy,
 nvidia-glx-legacy-71xx,
 nvidia-glx-legacy-96xx,
 nvidia-glx-legacy-173xx (<< 173.14.27),
Replaces: nvidia-glx${nvidia:Legacy} (<< 173.14.27)
Description: NVIDIA binary OpenGL libraries${nvidia:LegacyDesc}
 These binary libraries provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 .
 See the description of the nvidia-glx${nvidia:Legacy} package
 or /usr/share/doc/libgl1-nvidia${nvidia:Legacy}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: libgl1-nvidia-legacy-173xx-glx-ia32
Section: non-free/libs
Architecture: amd64
Pre-Depends: libc6-i386 (>= 2.9-18)
Depends:
 libgl1-nvidia-alternatives-ia32,
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 nvidia-kernel-${nvidia:Version}${nvidia:Perfkit},
Suggests:
 nvidia-kernel${nvidia:Legacy}-dkms (>= ${nvidia:Version})
 | nvidia-kernel${nvidia:Legacy}-source (>= ${nvidia:Version})
Provides:
 libgl1-nvidia-glx-ia32,
Conflicts:
 libgl1-nvidia-glx-ia32,
 fglrx-glx-ia32,
 nvidia-glx-ia32 (<< 195.36.31),
 nvidia-glx-legacy-ia32,
 nvidia-glx-legacy-71xx-ia32,
 nvidia-glx-legacy-96xx-ia32,
 nvidia-glx-legacy-173xx-ia32 (<< 173.14.27),
Replaces: nvidia-glx${nvidia:Legacy}-ia32 (<< 173.14.27)
Description: NVIDIA binary OpenGL 32-bit libraries${nvidia:LegacyDesc}
 These binary 32-bit libraries provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 .
 See the description of the nvidia-glx${nvidia:Legacy} package
 or /usr/share/doc/libgl1-nvidia${nvidia:Legacy}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-kernel-legacy-173xx-dkms
Section: non-free/kernel
Architecture: i386 amd64
Depends: ${misc:Depends}, dkms, nvidia-kernel-common (>= 20100522)
Recommends: nvidia-glx${nvidia:Legacy} (>= ${nvidia:Version})
Provides:
 nvidia-kernel-dkms,
 nvidia-kernel-${nvidia:Version}${nvidia:Perfkit},
Conflicts:
 nvidia-kernel-dkms,
 linux-headers-2.6.32-trunk-486 [i386], linux-image-2.6.32-trunk-486 [i386],
 linux-headers-2.6.32-trunk-686 [i386], linux-image-2.6.32-trunk-686 [i386],
 linux-headers-2.6.32-trunk-686-bigmem [i386], linux-image-2.6.32-trunk-686-bigmem [i386],
 linux-headers-2.6.32-trunk-amd64, linux-image-2.6.32-trunk-amd64,
 linux-headers-2.6.32-trunk-vserver-686 [i386], linux-image-2.6.32-trunk-vserver-686 [i386],
 linux-headers-2.6.32-trunk-vserver-686-bigmem [i386], linux-image-2.6.32-trunk-vserver-686-bigmem [i386],
 linux-headers-2.6.32-trunk-vserver-amd64 [amd64], linux-image-2.6.32-trunk-vserver-amd64 [amd64],
 binutils-gold (>> 2.20.51),
Description: NVIDIA binary kernel module DKMS source${nvidia:LegacyDesc}
 This package builds the NVIDIA Xorg binary kernel module needed by
 nvidia-glx${nvidia:Legacy}, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel and automatically rebuilt for
 any new kernel headers that are installed.
 .
 The NVIDIA binary drivers provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server for graphics cards
 using NVIDIA chip sets.  AGP, PCIe, SLI, TV-out and flat panel displays
 are also supported.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/nvidia-kernel${nvidia:Legacy}-dkms/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-kernel-legacy-173xx-source
Section: non-free/kernel
Architecture: i386 amd64
Depends: ${misc:Depends}, debhelper (>= 8), make, quilt (>= 0.46-7~)
Recommends: module-assistant | kernel-package,
 nvidia-kernel-common
Suggests:
 nvidia-glx${nvidia:Legacy} (>= ${nvidia:Version}),
Conflicts:
 linux-headers-2.6.32-trunk-486 [i386], linux-image-2.6.32-trunk-486 [i386],
 linux-headers-2.6.32-trunk-686 [i386], linux-image-2.6.32-trunk-686 [i386],
 linux-headers-2.6.32-trunk-686-bigmem [i386], linux-image-2.6.32-trunk-686-bigmem [i386],
 linux-headers-2.6.32-trunk-amd64, linux-image-2.6.32-trunk-amd64,
 linux-headers-2.6.32-trunk-vserver-686 [i386], linux-image-2.6.32-trunk-vserver-686 [i386],
 linux-headers-2.6.32-trunk-vserver-686-bigmem [i386], linux-image-2.6.32-trunk-vserver-686-bigmem [i386],
 linux-headers-2.6.32-trunk-vserver-amd64 [amd64], linux-image-2.6.32-trunk-vserver-amd64 [amd64],
 binutils-gold (>> 2.20.51),
Description: NVIDIA binary kernel module source${nvidia:LegacyDesc}
 This package provides the source for the NVIDIA Xorg binary kernel module
 needed by nvidia-glx${nvidia:Legacy} in a form suitable
 for use by module-assistant or kernel-package.
 .
 The NVIDIA binary drivers provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server for graphics cards
 using NVIDIA chip sets.  AGP, PCIe, SLI, TV-out and flat panel displays
 are also supported.
 .
 PLEASE read /usr/share/doc/nvidia-kernel${nvidia:Legacy}-source/README.Debian.gz
 for building information.  If you want the kernel module to be automatically
 installed via DKMS, install nvidia-kernel${nvidia:Legacy}-dkms instead.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/nvidia-kernel${nvidia:Legacy}-source/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
