=== debian/watch ===
# ftp://download.nvidia.com/XFree86/Linux-x86_64/190.36/NVIDIA-Linux-x86_64-190.36-pkg2.run
# ftp://download.nvidia.com/XFree86/Linux-x86_64/256.29/NVIDIA-Linux-x86_64-256.29.run
version=3
ftp://download.nvidia.com/XFree86/Linux-x86/(173\.[\d\.\-]+)/NVIDIA-Linux-x86-([\d\.\-]+)(?:-pkg0)?\.run
ftp://download.nvidia.com/XFree86/Linux-x86_64/(173\.[\d\.\-]+)/NVIDIA-Linux-x86_64-([\d\.\-]+)(?:-pkg2)?\.run
