## nvidia-graphics-drivers-legacy-173xx 173.14.31

=== debian/changelog ===
nvidia-graphics-drivers-legacy-173xx (173.14.31-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * New upstream release 173.14.31 (2011-08-17).
    - Fixed a bug that caused freezes and crashes when resizing windows in
      KDE 4 with desktop effects enabled using X.Org X server version 1.10
      or later.
  * Synchronize packaging with nvidia-graphics-drivers 275.09.07-1:
    - Refresh linux3.patch, upstream partially added Linux 3 support.
  * Synchronize packaging with nvidia-graphics-drivers 275.21-1:
    - Use a versioned dependency on the transitional
      libgl{1,x}-nvidia-alternatives packages.
  * Synchronize packaging with nvidia-graphics-drivers 280.13-1:
    - conftest.h: remove obsolete conftest.sh function signal_struct, no
      longer used by the legacy drivers.
    - Track PCI IDs extracted from the README in debian/nv-readme.ids.
  * Synchronize packaging with nvidia-graphics-drivers 280.13-2:
    - Call check-for-mismatching-nvidia-module properly by passing the new
      upstream version as first argument.
    - Bump debhelper dependency to >= 8.1.3 for experimental debhelper compat
      level 9, which is used for multiarch build.
    - Add instructions for squeeze-backports to README.source and a
      prepare-squeeze-backport target to debian/rules that performs the
      necessary changes.
    - Add empty /usr/lib/tls directory to ensure smoother upgrades.
  * Synchronize packaging with nvidia-graphics-drivers 280.13-4:
    - Avoid multiarch file conflicts:
      - Install the x86 README.txt in libgl1-nvidia-glx and nvidia-vdpau-driver.
      - Use wildcards instead of multiarch paths in *.lintian-overrides.
    - Add Breaks: make (= 3.82-1) to work around kernel module build failure
      with make 3.82 (in experimental), see #640539.
  * Synchronize packaging with nvidia-graphics-drivers 280.13-5:
    - Drop Conflicts with pre-squeeze kernel *-2.6.32-trunk-*.
    - xserver-xorg-video-nvidia: add (versioned) Depends: xserver-xorg-core.
    - Use PCI IDs extracted from the README, not the kernel module.
  * Drop AUTOCONF_INCLUDED.patch, fixed upstream.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 08 Sep 2011 14:01:52 +0200

nvidia-graphics-drivers-legacy-173xx (173.14.30-3) unstable; urgency=low

  [ Andreas Beckmann ]
  * Upload to unstable.

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 19 Jul 2011 23:06:26 +0200

nvidia-graphics-drivers-legacy-173xx (173.14.30-2) experimental; urgency=low

  [ Andreas Beckmann ]
  * Upload to experimental.
  * Synchronize packaging with nvidia-graphics-drivers 195.36.31-91:
    - Merge general changes from 270xx/275xx releases:
    - Add avoid-ld.gold.patch to explicitly link with ld.bfd.  The kernel
      module built with ld.gold does not work properly.
    - Add linux3.patch to make the module build on linux-3.0.
    - Drop dependency on nvidia-common in favor of nvidia-installer-cleanup.
    - Add Pre-Depends: nvidia-installer-cleanup to
      nvidia-kernel-legacy-173xx-dkms.
    - Turn nvidia-glx-legacy-173xx-ia32 into a transitional package, the
      libraries have been shipped in libgl1-nvidia-legacy-173xx-glx-ia32 for
      quite some time.
    - Add Depends: nvidia-support to nvidia-glx-legacy-173xx.  The new support
      package ships the nvidia-bug-report.sh manpage.
    - conftest.h:
      - Implement conftest.sh function ioremap_cache (270.41.19).
      - Implement checks for generated/compile.h and generated/utsrelease.h
        (275.09).
    - Drop lintian 2.4.3 compatibility overrides.
    - Convert lintian-overrides to use [arch lists] introduced in lintian
      2.5.1.
    - Fall back to the old version of nvidia.ids if extract-pci-ids.sh failed.
    - Add Conflicts: lib{*}-ia32 [i386] to lib{*} to prevent mixing multiarch
      and biarch packages, e.g. lib{*}:i386 and lib{*}-ia32:amd64 on amd64.
    - Add XS-Autobuild: yes to debian/control.  See instructions in #602838.
    - Canonicalize the location of upstream's README.txt, NVIDIA_Changelog and
      kernel module source path.
    - Add #MAJOR# substitution variable.
  * Synchronize packaging with nvidia-graphics-drivers 195.36.31-92:
    - Merge diversions, alternatives and multiarch changes from 275xx releases:
    - Switch to multiarch-aware diversion and alternatives handling provided
      by the glx-diversions/glx-alternative-nvidia packages.
    - Move handling of alternatives from nvidia-glx-legacy-173xx and
      libgl1-nvidia-legacy-173xx-glx to nvidia-alternative-legacy-173xx (new
      package) and glx-alternative-nvidia (from glx-alternatives).  libGL.so.1
      and libglx.so (the Xorg module) no longer can be configured
      independently, avoiding possible mixed NVIDIA/MESA setups.
    - Note: The diversion and alternative handling of
      libgl1-nvidia-legacy-173xx-glx-ia32 is not being changed.
      This package will become obsolete by adding multiarch support.
    - Split the Xorg driver and modules from nvidia-glx into new package
      xserver-xorg-driver-nvidia-legacy-173xx (package name agreed by Cyril
      Brulebois).
    - Install the following files that exist in both current and legacy
      drivers into a version specific directory
      /usr/lib/nvidia/{current,legacy-*}: libGL.so.1, libglx.so,
      nvidia_drv.so, libnvidia-cfg.so.1, libXvMCNVIDIA.so.1,
      libXvMCNVIDIA_dynamic.so.1, nvidia-bug-report.sh.
    - Do the same with libnvidia-tls.so.1, tls/libnvidia-tls.so.1 and
      libGLcore.so.1 which are only supplied by the legacy packages.
    - The 'nvidia' alternative (set up by package
      nvidia-alternative{,-legacy-*}) handles creation of appropriate symlinks
      in /usr/lib/nvidia.
    - The 'glx' alternative (set up by package glx-alternative-nvidia) handles
      creation of appropriate symlinks in /usr/lib, /usr/lib/xorg, etc.
    - Convert the Conflicts: *-legacy-*, fglrx-* to versioned Breaks: as the
      library and driver parts should be co-installable by now.  There still

